Targets
Retrieve a Publication
Returns the current registry publication state for a Target Release. A Publication in another organization returns 404 not_found.
Authorization
apiKey AuthorizationBearer <token>
Organization API key from the console (ak_...), or an OAuth access token with user:org:read, the organization selected during consent, and the capability required by the operation.
In: header
Path Parameters
publication_id*string
Match
^pub_[a-z0-9]{16}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/publications/pub_2m8q4v7k1p9d5h6c"{ "id": "pub_2m8q4v7k1p9d5h6c", "object": "publication", "target_release_id": "rel_7m2q8v4k1p9d5h6c", "destination": "npm", "state": "pending", "attempt": 0, "run_url": null, "registry_url": null, "artifact_digest": null, "errors": [], "started_at": null, "finished_at": null, "created_at": "2026-09-23T08:00:00Z", "updated_at": "2026-09-23T08:00:00Z", "request_id": "req_3k8m1v6q9p2d7h4c"}